from django.urls import path

from product.views import CategoryListView, CategoryRetrieveAPIView, ProductListAPIView, ProductRetrieveAPIView, \
    ProductListTreeAPIView, FeaturedProductListAPIView

urlpatterns = [  # Success/Error pages
    path('categories/', CategoryListView.as_view(), name='categories.list'),
    path('categories/<slug:slug>/', CategoryRetrieveAPIView.as_view(), name='categories.details'),
    path('products-tree/', ProductListTreeAPIView.as_view(), name='products.tree'),
    path('products-featured/', FeaturedProductListAPIView.as_view(), name='products.featured'),
    path('products/', ProductListAPIView.as_view(), name='products.list'),
    path('products/<slug:slug>/', ProductRetrieveAPIView.as_view(), name='products.details'),
]
